# $Revision: 1.59 $, $Date: 2012/02/11 09:48:08 $
Summary:	3D realtime strategy on a future Earth
Summary(pl.UTF-8):	Gra RTS, której akcja toczy się w przyszłości
Name:		warzone2100
Version:	2.3.9
Release:	4
License:	GPL v2+
Group:		X11/Applications/Games/Strategy
Source0:	http://downloads.sourceforge.net/warzone2100/%{name}-%{version}.tar.gz
# Source0-md5:	7185090a089c9c0e0eca7535a8f25dca
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-link.patch
URL:		http://www.wz2100.net/
BuildRequires:	OpenAL-devel >= 0.0.8-4
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_net-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libtheora-devel >= 0.1
BuildRequires:	libvorbis-devel >= 1.1
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	quesoglc-devel
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zip
Requires:	fonts-TTF-DejaVu
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Warzone 2100 is a real-time strategy game. Although comparable to
Earth 2150 in many significant respects, it does contain aspects that
are unique. These include various radar technologies and a greater
focus on artillery and counter-battery technologies.

%description -l pl.UTF-8
Warzone 2100 jest grą strategiczną czasu rzeczywistego. Chociaż gra
bardzo przypomina grę Earth 2150, to jednak zostało do niej
wprowadzonych kilka ciekawych pomysłów. Są to między innymi rozmaite
technologie radarowe oraz większe skupienie się na technologiach
artyleryjskich oraz obronie przeciwlotniczej.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# et_EE -> et
%{__sed} -e 's/et_EE/et/g' -i po/LINGUAS
mv po/et{_EE,}.po
mv po/et{_EE,}.gmo

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-distributor="PLD" \
	--docdir=%{_docdir}/%{name}-%{version} \
	--with-icondir=%{_pixmapsdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ca_ES
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/uk_UA

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/man6/%{name}.6*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: warzone2100.spec,v $
Revision 1.59  2012/02/11 09:48:08  adamg
- release 4 (rebuild against libpng-1.5)

Revision 1.58  2011/12/20 19:43:04  arekm
- release 3

Revision 1.57  2011/11/02 08:58:02  lisu
- drop unsupported ca_ES locale
- rel 2

Revision 1.56  2011/11/02 08:03:15  lisu
- updated to 2.3.9

Revision 1.55  2011/05/23 07:25:25  uzsolt
- 2.3.8
- package man6

Revision 1.54  2011/02/02 02:10:55  sparky
- BR: xorg-lib-libXt-devel

Revision 1.53  2011/01/24 09:04:33  lisu
- up to 2.3.7
- __rm macro

Revision 1.52  2010/12/02 12:10:29  lisu
- up to 2.3.6

Revision 1.51  2010/09/29 13:11:20  lisu
- up to final 2.3.5

Revision 1.50.2.1  2010/09/14 11:50:17  lisu
- up to 2.3.5_rc4

Revision 1.50  2010/08/12 08:12:35  lisu
- 2.3.4

Revision 1.49  2010/08/02 09:53:45  lisu
- up to 2.3.3
- more verbose files

Revision 1.48  2010/07/26 07:36:05  lisu
- 2.3.2

Revision 1.47  2010/06/13 17:44:38  lisu
- rel 2

Revision 1.46  2010/06/13 17:44:05  lisu
- add text to previous commit log

Revision 1.45  2010/06/13 17:43:15  lisu
- add -link.patch which fixes linking
- builds now

Revision 1.44  2010/06/13 12:55:23  arvenil
- up to 2.3.1

Revision 1.43  2010/04/26 08:10:50  lisu
- restore missing commits logs

Revision 1.42  2010/04/26 08:09:05  lisu
- up to final 2.3.0
- merge with DEVEL

Revision 1.41  2010/02/16 21:11:02  ankry
- la usable via LANGUAGE

Revision 1.40  2010/02/16 18:49:51  ankry
- claning: no more sv* translation

Revision 1.39  2010/02/06 21:15:18  arekm
- release 3

Revision 1.38.2.7  2010/04/09 13:45:52  lisu
- 2.3_beta12

Revision 1.38.2.6  2010/03/11 11:25:44  lisu
- up to 2.3-beta11a
- BR: sed

Revision 1.38.2.5  2010/02/10 16:20:01  lisu
- up to 2.3_beta10

Revision 1.38.2.4  2010/01/29 13:55:28  lisu
- up to 2.3.0 Beta9
- drop unsupported uk_UA locale

Revision 1.38.2.3  2009/12/02 11:21:34  lisu
- adapter

Revision 1.38.2.2  2009/12/02 11:21:17  lisu
- up to 2.3_beta3

Revision 1.38.2.1  2009/11/26 10:13:53  lisu
- up to 2.3_beta2

Revision 1.38  2009/10/27 18:20:48  adamg
- fix et locale; release 2

Revision 1.37  2009/10/14 15:59:02  adamg
- updated to 2.2.4

Revision 1.36  2009/09/22 13:22:33  lisu
- up to 2.2.3

Revision 1.35  2009/08/25 07:43:11  lisu
- up to 2.2.2

Revision 1.34  2009/08/18 18:46:39  arekm
- release 3

Revision 1.33  2009/08/14 19:38:59  adamg
- release 2 (rebuild against physfs-1.1)

Revision 1.32  2009/08/12 21:28:03  arvenil
- BR: gettext-devel

Revision 1.31  2009/06/30 07:55:46  lisu
- up to 2.2.1
- BR: libtheora-devel >= 0.1

Revision 1.30  2009/04/02 09:16:01  lisu
- up to 2.1.3

Revision 1.29  2009/03/27 20:19:51  arvenil
- removed pkgconfig patch, this is fixed in OpenAL = 0.0.8-4

Revision 1.28  2009/03/10 09:42:39  lisu
- up to 2.1.2
- Rs: fonts-TTF-DejaVu, gdb

Revision 1.27  2009/01/19 09:50:08  lisu
- 2.1.1

Revision 1.26  2009/01/03 23:29:02  arvenil
- removed unsupported locales
- cleanup

Revision 1.25  2008/12/25 09:43:17  qboosh
- cleanup

Revision 1.24  2008/12/22 11:01:01  lisu
- stupid mistake

Revision 1.23  2008/12/22 10:59:38  lisu
- kill perl-base dependency

Revision 1.22  2008/12/22 10:56:42  lisu
- final 2.1.0
- configure changes are not necessary
- merge with DEVEL

Revision 1.21.2.3  2008/12/03 09:43:09  lisu
- 2.1_rc2

Revision 1.21.2.2  2008/11/27 10:33:58  lisu
- up to 2.1_rc1
- set OPENAL_LIBS manually, because pkgconfig can't find OpenAL stuff (configure.patch added)
- sorted and verisioned BRs
- use %%find_lang macro

Revision 1.21.2.1  2008/04/19 23:52:24  undefine
- up to 2.1 beta2

Revision 1.21  2007-12-30 22:21:21  cactus
- up to 2.0.10
- PLD signature to our package

Revision 1.20  2007-12-12 00:22:15  lisu
- use perl macro
- BR: perl-base

Revision 1.19  2007-12-06 23:58:20  lisu
- 2.0.9 final
- DEVEL merge
- proper group
- BR: libmad-devel is needed

Revision 1.18.2.1  2007-10-29 00:59:34  lisu
- up to 2.0.8_rc1
- add polish in desktop (patch)
- cosmetics

Revision 1.18  2007/06/22 21:36:10  rotom
- up to 2.0.7

Revision 1.17  2007/04/08 13:13:12  rotom
- 2.0.6

Revision 1.16  2007/02/27 21:45:10  qboosh
- it's OpenGL-GLU-devel

Revision 1.15  2007/02/27 21:30:47  rotom
- ?1;2c - typo ? -- removed

Revision 1.14  2007/02/27 21:08:41  paszczus
- added BR: Mesa-libGLU-devel pointed by sebastian at oclab.ano.pl

Revision 1.13  2007/02/24 17:17:00  rotom
- now it builds on x86_64

Revision 1.12  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.10  2006/12/25 17:32:59  rotom
- some fixes

Revision 1.9  2006/12/25 16:36:56  rotom
- up to 2.0.5
- adaptized

Revision 1.8  2006/10/03 21:40:18  agaran
- missing BR (libjpeg-devel) added

Revision 1.7  2006/09/27 20:39:28  rotom
- .desktop file added
- icons added

Revision 1.6  2006/09/26 13:06:03  lisu
- new URL

Revision 1.5  2006/09/17 09:53:15  qboosh
- OpenGL-devel not X11-*

Revision 1.4  2006/09/17 08:09:10  kosmo
- BR: OpenGL-devel, libvorbis-devel, zip

Revision 1.3  2006/09/13 16:47:54  glen
- BR: bison

Revision 1.2  2006/09/13 16:40:40  tommat
- up to 2.0.5 rc1 thanks to Michal Lisowski

Revision 1.1  2006/09/01 19:11:20  tommat
- initial, thanks to Michal Lisowski
